curl --request GET \
--url https://api.mn.co/admin/v1/networks/{network_id}/spaces/{space_id}/courseworks/{id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mn.co/admin/v1/networks/{network_id}/spaces/{space_id}/courseworks/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mn.co/admin/v1/networks/{network_id}/spaces/{space_id}/courseworks/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mn.co/admin/v1/networks/{network_id}/spaces/{space_id}/courseworks/{id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.mn.co/admin/v1/networks/{network_id}/spaces/{space_id}/courseworks/{id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.mn.co/admin/v1/networks/{network_id}/spaces/{space_id}/courseworks/{id}/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mn.co/admin/v1/networks/{network_id}/spaces/{space_id}/courseworks/{id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "1234",
"created_at": "2026-10-23T02:19:14Z",
"updated_at": "2026-10-23T02:19:14Z",
"space_id": 123,
"type": "<string>",
"title": "<string>",
"status": "<string>",
"position": 123,
"completion_criteria": "<string>",
"unlocking_criteria": "<string>",
"children_count": 123,
"permalink": "<string>",
"parent_id": 123,
"parent_type": "<string>",
"description": "<string>"
}{
"error": "<string>"
}Returns a single coursework item by ID
curl --request GET \
--url https://api.mn.co/admin/v1/networks/{network_id}/spaces/{space_id}/courseworks/{id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mn.co/admin/v1/networks/{network_id}/spaces/{space_id}/courseworks/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mn.co/admin/v1/networks/{network_id}/spaces/{space_id}/courseworks/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mn.co/admin/v1/networks/{network_id}/spaces/{space_id}/courseworks/{id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.mn.co/admin/v1/networks/{network_id}/spaces/{space_id}/courseworks/{id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.mn.co/admin/v1/networks/{network_id}/spaces/{space_id}/courseworks/{id}/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mn.co/admin/v1/networks/{network_id}/spaces/{space_id}/courseworks/{id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "1234",
"created_at": "2026-10-23T02:19:14Z",
"updated_at": "2026-10-23T02:19:14Z",
"space_id": 123,
"type": "<string>",
"title": "<string>",
"status": "<string>",
"position": 123,
"completion_criteria": "<string>",
"unlocking_criteria": "<string>",
"children_count": 123,
"permalink": "<string>",
"parent_id": 123,
"parent_type": "<string>",
"description": "<string>"
}{
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the course (space)
The ID of the coursework item
The Network's unique integer ID, or subdomain Unique numeric network ID
Response
A coursework item
Coursework items (lessons, quizzes, sections) within a course
The record's integer ID
"1234"
The date and time the record was created
"2026-10-23T02:19:14Z"
The date and time the record was last modified
"2026-10-23T02:19:14Z"
The ID of the course (space) this coursework belongs to
The type of coursework (lesson, quiz, section, or overview)
The title of the coursework item
The visibility status (posted, hidden, pending)
The position within siblings (for ordering)
How completion is tracked. A lesson stored as primary_media reports button when it leads with neither Mighty audio or video nor a YouTube or mp4 header video link
When content becomes available
Number of direct children (for sections)
The coursework item's unique address within the Network
The ID of the parent coursework item (section or overview)
The type of the parent (section or overview)
The description/body content of the coursework item